********************************************
***Final check of the 1998-01 USA surveys***
***created by Kimberly Fisher, CTUR      ***
***last updated 8 July 2013              ***
********************************************.

GET FILE='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Diary\diary 1998-01\usa1998hfep.sav'.

DESCRIPTIVES VARIABLES=hhid pid time clockst start end epnum origwght xtimewt infltwt recwght
  /STATISTICS=MEAN STDDEV MIN MAX.

freq survey wave diaryday cday month year clockst epnum main sec inout 
     eloc mtrav alone infant child sppart clsfam hhadult animal shoprof 
     cowork wellknw otherp unknwp lowqual baddem caremflg owghtflg.

cro mtrav by inout eloc.
cro inout by eloc.

GET FILE='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Diary\diary 1998-01\usa1998hsum.sav'.

freq survey wave diaryday cday month year lowqual baddem caremflg.
desc hhid pid.
cro lowqual by baddem.
desc tottime to withunk.

desc origwght xtimewt infltwt recwght
  /STATISTICS=MEAN STDDEV MIN MAX.

temp.
select if recwght>0.
desc recwght.

temp.
select if xtimewt>0.
desc xtimewt.

weight by xtimewt.
freq diaryday.

weight by infltwt.
freq diaryday.

weight by origwght.
freq diaryday.

weight by recwght.
freq diaryday.

weight off.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=wave
  /recsum=SUM(recwght).
freq recsum.

get file='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\AHTUS final files\Harmonised files\Questionnaire\usa98_01quest.sav'.

freq survey wave state regionc regione urban ownhome age sex ethnic ethnic2 hisp educ civstat cohab
marrflag famstat hhtype kidflag nadult under18 under5 ageyngst nkidflag fulltime parttime noemploy 
empstat occup unemp retired empsp disab student homemakr nwork empflag wkhrflag incomeqt income98.

desc hhid pid wkhrs wagelm.

cro civstat by cohab empsp.
means age by famstat.
cro famstat by under18 under5 ageyngst.
cro empstat by fulltime parttime noemploy nwork income98 occup unemp retired.





*********************
*create weights
*********************.

get file='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\weightsupp.sav'.

freq diaryday sex survey.
weight by DAYWT.
freq diaryday sex survey.
*daywt is population & day weight for FISCT.
weight by FINALWT.
freq diaryday sex survey.
*finalwt is population & day weight for NSP.
weight off.

compute owghtflg=3.
compute origwght=daywt.
recode origwght (sysmis=-5).
if origwght=-5 origwght=finalwt.
desc origwght.

temp.
select if origwght=0.
freq sex age.
*even bad cases weighted in original data.

recode age (-8=-8) (18 thru 24=1) (25 thru 34=2) (35 thru 44=3) 
   (45 thru 54=4) (55 thru 64=5) (65 thru 74=6) (75 thru high=7) 
   into agegp.
compute agegpi=agegp.
if agegp=-8 and (ageimp>17 and ageimp<25) agegpi=1.
if agegp=-8 and (ageimp>24 and ageimp<35) agegpi=2.
if agegp=-8 and (ageimp>34 and ageimp<45) agegpi=3.
if agegp=-8 and (ageimp>44 and ageimp<55) agegpi=4.
if agegp=-8 and (ageimp>54 and ageimp<65) agegpi=5.
if agegp=-8 and (ageimp>64 and ageimp<75) agegpi=6.
if agegp=-8 and  ageimp>74                agegpi=7.

val lab agegp agegpi
   1 18-24
   2 25-34
   3 35-44
   4 45-54
   5 55-64
   6 65-74
   7 '75+'.
freq agegp agegpi.
cro agegpi by ageimp baddemi.
cro agegp by ageimp baddem.
*age groups above 54 not affected, younger ages minimally affected by imputation.
if agegpi=-8 and ageimp=-7 baddemi=1.
cro agegpi by baddemi.

compute badcase=0.
compute badcasei=0.
if baddem=1 or lowqual=1 badcase=1.
if baddemi=1 or lowqual=1 badcasei=1.
cro badcase  by baddem  lowqual.
cro badcasei by baddemi lowqual.

compute agesexgp=agegp.
if sex=2 and agegp>-8 agesexgp=agesexgp+10.
compute agsexgpi=agegpi.
if sex=2 and agegpi>-8 agsexgpi=agsexgpi+10.
cro agesexgp by badcase.
cro agsexgpi by badcasei.
*allow for 0-weighting of the bad diary cases.
if badcase>0 agesexgp=99.
if badcasei>0 agsexgpi=99.
cro agesexgp by badcase.
cro agsexgpi by badcasei.

compute w=origwght.
compute wi=origwght.
if agesexgp=99 w=0.
if agsexgpi=99 wi=0.
execute.
compute walt=w.
compute walti=wi.
desc w wi walt walti.

cro survey by agesexgp agsexgpi.

*account for oversample of parents in NSP, treating all
*missing but imputed ages as missing
*
*                sex=1 %age grp   sex=2 %age grp
*                men   parents    women parents 
*age 25-34 NSP    58     39.7      116    59.5
*age 25-34 all   163               253
*
*age 35-44 NSP   152     59.4      221    72.5
*age 35-44 all   278               376
*
*age 45-54 NSP   102     49.3       93    48.5
*age 45-54 all   188               194
*.
Do if survey=8 and agesexgp=2.
   compute walt=walt*.397.
Else if survey=8 and agesexgp=12.
   compute walt=walt*.595.
Else if survey=8 and agesexgp=3.
   compute walt=walt*.594.
Else if survey=8 and agesexgp=13.
   compute walt=walt*.725.
Else if survey=8 and agesexgp=4.
   compute walt=walt*.493.
Else if survey=8 and agesexgp=14.
   compute walt=walt*.485.
End if.
execute.
Do if survey=6 and agesexgp=2.
   compute walt=walt*((163-58)/(163-(58*.397))).
Else if survey=6 and agesexgp=12.
   compute walt=walt*((253-116)/(253-(116*.595))).
Else if survey=6 and agesexgp=3.
   compute walt=walt*((278-152)/(278-(152*.594))).
Else if survey=6 and agesexgp=13.
   compute walt=walt*((376-221)/(376-(221*.725))).
Else if survey=6 and agesexgp=4.
   compute walt=walt*((188-102)/(188-(102*.493))).
Else if survey=6 and agesexgp=14.
   compute walt=walt*((194-93)/(194-(93*.485))).
End if.
execute.

*account for oversample of parents in NSP, treating all
*imputed ages as valid ages
*
*                sex=1 %age grp   sex=2 %age grp
*                men   parents    women parents 
*age 25-34 NSP    82     39.7      199    59.5
*age 25-34 all   187               336
*
*age 35-44 NSP   230     59.4      357    72.5
*age 35-44 all   356               512
*
*age 45-54 NSP   114     49.3      111    48.5
*age 45-54 all   200               212
*.
Do if survey=8 and agsexgpi=2.
   compute walti=walti*.397.
Else if survey=6 and agsexgpi=2.
   compute walti=walti*((187-82)/(187-(82*.397))).
Else if survey=8 and agsexgpi=12.
   compute walti=walti*.595.
Else if survey=6 and agsexgpi=12.
   compute walti=walti*((336-199)/(336-(199*.595))).
Else if survey=8 and agsexgpi=3.
   compute walti=walti*.594.
Else if survey=6 and agsexgpi=3.
   compute walti=walti*((356-230)/(356-(230*.594))).
Else if survey=8 and agsexgpi=13.
   compute walti=walti*.725.
Else if survey=6 and agsexgpi=13.
   compute walti=walti*((512-357)/(512-(357*.725))).
Else if survey=8 and agsexgpi=4.
   compute walti=walti*.493.
Else if survey=6 and agsexgpi=4.
   compute walti=walti*((200-114)/(200-(114*.493))).
Else if survey=8 and agsexgpi=14.
   compute walti=walti*.485.
Else if survey=6 and agsexgpi=14.
   compute walti=walti*((212-111)/(212-(111*.485))).
End if.
desc walt walti.

sort cases by agesexgp diaryday.

aggregate out='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\group.sav'
                /break=agesexgp
                /grouptot=sum(w) /galttot=sum(walt) /groupn=nu.
execute.
aggregate out='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\day.sav'
                /break= agesexgp diaryday
                /daytot=sum(w) /dalttot=sum(walt) /dayn=nu.
execute.
match files file=* table='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\group.sav'
                /by agesexgp.
execute.
match files file=* table='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\day.sav'
                /by agesexgp diaryday.
execute.

compute exptot=(grouptot/7).
compute xpalttot=(galttot/7).

sort cases by agsexgpi diaryday.

aggregate out='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\groupi.sav'
                /break=agsexgpi
                /grptoti=sum(wi) /galttoti=sum(walti) / groupni=nu.
execute.
aggregate out='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\dayi.sav'
                /break= agsexgpi diaryday
                /daytoti=sum(wi) /dalttoti=sum(walti) /dayni=nu.
execute.
match files file=* table='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\groupi.sav'
                /by agsexgpi.
execute.
match files file=* table='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\1998-2001\dayi.sav'
                /by agsexgpi diaryday.
execute.

compute exptoti=(grptoti/7).
compute xalttoti=(galttoti/7).

Do if badcase>0.
   compute recwght=0.
Else if badcase=0.
   compute recwght=(exptot/daytot)/(dayn/daytot).
End if.

Do if badcase>0.
   compute recalt=0.
Else if badcase=0.
   compute recalt=(xpalttot/dalttot)/(dayn/dalttot).
End if.

Do if badcasei>0.
   compute recwghti=0.
Else if badcasei=0.
   compute recwghti=(exptoti/daytoti)/(dayni/daytoti).
End if.

Do if badcasei>0.
   compute recalti=0.
Else if badcasei=0.
   compute recalti=(xalttoti/dalttoti)/(dayni/dalttoti).
End if.
weight off.

var lab recalt recwght, adjusting parents into population proportion.
var lab recalti recwght, with imputed ages & adjust parents to pop proportion.
var lab recwghti recwght, with imputed ages.
desc recwght recalt recwghti recalti origwght.

weight by recwght.
   freq diaryday.
weight by recalt.
   freq diaryday.
weight by recwghti.
   freq diaryday.
weight by recalti.
   freq diaryday.
weight by origwght.
   freq diaryday.
weight off.

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=wave
  /wtsumo = SUM(origwght)
  /wtsum = SUM(recwght)
  /wtsumi = SUM(recwghti)
  /wtsuma = SUM(recalt)
  /wtsumai = SUM(recalti).
freq wtsumo wtsum wtsumi wtsuma wtsumai.

*inflate the propwt to the number of diaries from the survey.
*compute the total number of diaries divided by the sum of the weight.
compute recwght=recwght*(2351/1906.7).
compute recalt=recalt*(2351/1433.43).
compute recwghti=recwghti*(2351/2240.55).
compute recalti=recalti*(2351/1585.86).

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=wave
  /wtsum1 = SUM(recwght)
  /wtsumi1 = SUM(recwghti)
  /wtsuma1 = SUM(recalt)
  /wtsumai1 = SUM(recalti).
freq wtsum1 wtsumi1 wtsuma1 wtsumai1.

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=agesexgp
  /wtsuminf = SUM(recwght).
means wtsuminf by agesexgp.

AGGREGATE
  /OUTFILE=*
  MODE=ADDVARIABLES
  /BREAK=agsexgpi
  /wtsumini = SUM(recwghti).
means wtsumini by agsexgpi.

compute xtimewt=recwght.
compute infltwt=0.
compute infltwti=0.
*see Excel file showing the population distributions
*by age and sex from the CPS for 2000, to make total 9937103.
if agegp=1 and sex=1 infltwt=recwght*(653137/129.8055).
if agegp=2 and sex=1 infltwt=recwght*(943219/236.8833).
if agegp=3 and sex=1 infltwt=recwght*(1101000/296.6948).
if agegp=4 and sex=1 infltwt=recwght*(931841/253.2487).
if agegp=5 and sex=1 infltwt=recwght*(604633/97.3432).
if agegp=6 and sex=1 infltwt=recwght*(439866/59.9514).
if agegp=7 and sex=1 infltwt=recwght*(159887/34.0205).
if agegp=1 and sex=2 infltwt=recwght*(629871/216.2605).
if agegp=2 and sex=2 infltwt=recwght*(952423/276.4537).
if agegp=3 and sex=2 infltwt=recwght*(1133330/334.6978).
if agegp=4 and sex=2 infltwt=recwght*(970814/199.7529).
if agegp=5 and sex=2 infltwt=recwght*(656855/85.8801).
if agegp=6 and sex=2 infltwt=recwght*(530402/73.9930).
if agegp=7 and sex=2 infltwt=recwght*(229825/56.0099).
if agegpi=1 and sex=1 infltwti=recwghti*(653137/110.4640).
if agegpi=2 and sex=1 infltwti=recwghti*(943219/244.6919).
if agegpi=3 and sex=1 infltwti=recwghti*(1101000/335.5799).
if agegpi=4 and sex=1 infltwti=recwghti*(931841/228.6719).
if agegpi=5 and sex=1 infltwti=recwghti*(604633/82.8387).
if agegpi=6 and sex=1 infltwti=recwghti*(439866/51.0185).
if agegpi=7 and sex=1 infltwti=recwghti*(159887/28.9514).
if agegpi=1 and sex=2 infltwti=recwghti*(629871/189.6821).
if agegpi=2 and sex=2 infltwti=recwghti*(952423/316.3087).
if agegpi=3 and sex=2 infltwti=recwghti*(1133330/395.8736).
if agegpi=4 and sex=2 infltwti=recwghti*(970814/183.2101).
if agegpi=5 and sex=2 infltwti=recwghti*(656855/73.0836).
if agegpi=6 and sex=2 infltwti=recwghti*(530402/62.9678).
if agegpi=7 and sex=2 infltwti=recwghti*(229825/47.6642).
desc xtimewt infltwt infltwti.

weight by infltwt.
   freq diaryday agesexgp.
weight by infltwti.
   freq diaryday agsexgpi.
weight off.

















